#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

#
# Load everything the main script and tests will require.
#

require 'logger'
require 'whatever-dl/exit_codes'
require 'whatever-dl/configuration'
require 'whatever-dl/downloader'

# We need Pathname to get the real filesystem path
# of this script (and not, for example, the path of
# a symlink which points to it.
require 'pathname'
my_path = Pathname.new(__FILE__).realpath.to_s

# The Dir.glob that's coming up doesn't use the
# Ruby library path so we need to tell it where to
# look explicitly.
websites_pattern = File.dirname(my_path) + '/whatever-dl/websites/*.rb'

# All of the website classes are located in one
# directory, so we can 'require' them automatically.
Dir.glob(websites_pattern).each do |r|
  require r
end
