#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

require 'test/unit'
require 'src/websites/bliptv'

class BliptvTest < Test::Unit::TestCase

  def test_owns_bliptv_urls
    urls = [ 'http://blip.tv/7minutesinheaven/tina-fey-6189804',
             'blip.tv/7minutesinheaven/tina-fey-6189804' ]
    urls.each do |url|
      assert(Bliptv.owns_url?(url), "Owns #{url}")
    end
  end

  
  def test_doesnt_own_redtube_urls
    assert(!Bliptv.owns_url?('http://www.redtube.com/6807'))
    assert(!Bliptv.owns_url?('www.redtube.com/6807'))
    assert(!Bliptv.owns_url?('http://redtube.com/6807'))
    assert(!Bliptv.owns_url?('redtube.com/6807'))
  end


  def test_doesnt_own_howcast_urls
    assert(!Bliptv.owns_url?('http://www.howcast.com/videos/6807-2twr'))
    assert(!Bliptv.owns_url?('www.howcast.com/videos/6807-2dgfdg'))
    assert(!Bliptv.owns_url?('http://howcast.com/videos/6807-cse'))
    assert(!Bliptv.owns_url?('howcast.com/videos/6807-asdgasd'))
  end

  
  def test_doesnt_own_misc_urls
    assert(!Bliptv.owns_url?('http://www.bliptv.com/123456'))
  end
  
end
