#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

require 'test/unit'
require 'src/websites/redtube'

# Unit tests for the Redtube class. Basically just checking
# the results of get_video_url for known ids.

class RedtubeTest < Test::Unit::TestCase

  def test_owns_redtube_urls
    assert(Redtube.owns_url?('http://www.redtube.com/6807'))
    assert(Redtube.owns_url?('www.redtube.com/6807'))
    assert(Redtube.owns_url?('http://redtube.com/6807'))
    assert(Redtube.owns_url?('redtube.com/6807'))
  end

  
  def test_doesnt_own_howcast_urls
    assert(!Redtube.owns_url?('http://www.howcast.com/6807'))
    assert(!Redtube.owns_url?('www.howcast.com/6807'))
    assert(!Redtube.owns_url?('http://howcast.com/6807'))
    assert(!Redtube.owns_url?('howcast.com/6807'))
  end

  
  def test_doesnt_own_misc_urls
    assert(!Redtube.owns_url?('http://redtube/123'))
    assert(!Redtube.owns_url?('www.redtube.com/abc'))
  end
  
end
